AutoCAD Visual LISP / AutoLISP :: How To Add Customized Menus / Settings From Standard To Architecture
Nov 12, 2013
How do I tranfer all my standard autocad variable settings into a new version of Architecture? I have my dimensioning settings, etc set a certain way in my standard autocad and now I want to start using Architecture but need all my old settings.
View 9 Replies
ADVERTISEMENT
Nov 13, 2011
Is there a way to toggle between customized old style menus and new style workspaces?
View 1 Replies
View Related
Sep 13, 2011
We have had custom toolbars for many years that included custom pop menus etc. Now that we are running cuix customizations how do I edit these customized pop menus? Do I need to rewrite this stuff in lisp, vba, .net, whatever?
View 1 Replies
View Related
Apr 20, 2011
A plugging we use has just updated and loading double menus causing error messages prompting that menu already exists unable to load.
In my cui the menus are loaded in my enterprise as well as my main.
How do I keep the menu with the same name in my enterprise yet unload the one of the same name in my main (where it shouldn’t be) using lisp (I want to Automate this using lisp, since I'm not always in office at the same time as everyone else)?
View 1 Replies
View Related
Nov 22, 2011
I am able in lisp to create a command prompt selection menu, easy (see code below).However what I want is for the lisp to be ready to undertake an action UNLESS I select an option.
An example is the offset command wich has a function ready to roll (namely the specify offset distance) "OR" I can interrupt the "specify offset distance" and enter one of the sub options (in the case of offset Through/ Erase/Layer).
My code attempts to offset also, UNLESS the user wishes to specify a distance.
(DEFUN C:loadoffset ();CREATING MENU FOR SUB COMMANDS [GETIT] [GOTIT]...(setq choose (getstring "
Select an option... [1=GET DIST] [2=GOTDIST]: "))(if (or (equal choose "1"))(GETIT))(if (or (equal choose "2"))(GOTIT));TERMINATING SELECTION MENU...)(defun getit ( gotit )(setq MYDIST (getdist "
SELECT A DISTANCE: "))(gotit))(defun gotit ()(command "_offset" MYDIST pause pause"exit"))
View 9 Replies
View Related
Oct 17, 2012
I have a bunch of discipline specific menu files as partial cui's to my enterprise menu. I don't want to show them all, as some users may not need them all. What I would like to have is a menu item
Load Menus ->
Civil
Electrical
Mechanical
Structural
and when they click on one of them the relevant menu file is made visible in the current workspace. Is there a simple way to do this?
View 5 Replies
View Related
Aug 26, 2008
I have made an extra CUI that is loaded as a partial CUI.
Now I want to add a context-sensitive shortcut menus like this: POP504, OBJECT_AEC_DOOR.
The problem is that this shortcut menu only shows up if I add the shortcut menu to the main CUI file. If I add it in some partial CUI it never shows.
Does shortcut menus only work from within the main CUI?
View 2 Replies
View Related
Dec 27, 2013
I've created a couple of programs:
One - that will start a new project file, add our standard drawing sheets
two - Insert a bunch of wblocked components based on user input
programs 3 - 6 all do the same as program 2, just different components for different sheets.
I can run all these programs and they work (i need to do a lot of "clean-up" but they work)...
I have them set-up to open the next drawing.But i have to type in the next command, and continue until all my programs and done running.
My questions is how can I accomplish this without having to continually type in commands?I can't run these as a script, but is there another method?
View 8 Replies
View Related
Sep 4, 2012
I have a small number of drawings that I use very often. I would like to make a menu item to open a certain drawing but I keep getting stuck when the drawing name should be entered automatically.I use the code
^C^Cfiledia;0;open;"test.dwg";filedia;1;
The drawing is my support file search path and the name is unique. How do I get this to work properly?When running this command:
Command: filedia
Enter new value for FILEDIA <1>: 0
Command: open
Enter name of drawing to open <C:previous.dwg>:
*cancel*
Command: "test.dwg"
Unknown command ""TEST.DWG"". Press F1 for help.
Command: filedia
Enter new value for FILEDIA <0>: 1
It asks what file to open and suggests the last opened file, and whatever I tried so far this keeps happening.
*.scr files are not allowed on our network, I can't create or rename files to *.scr. Of course I could ask the admins to allow this but I think our security policy is more important than me having a button to open a file.
View 6 Replies
View Related
Oct 17, 2013
I'm able to add custom panels/buttons into the Ribbons, by cloning the existing ribbon (from acade.cuix) into my partial cuix. However.. I'm not able to add more commands to the shortcut menus, using the same technique.
Is it possible to add custom commands to existing shortcut menus using a partial cuix?
View 3 Replies
View Related
Feb 20, 2013
Is there a way to identify the files with a non-standard layer convention? Once identified and located,I plan to clean up manually
The folder I'm working with contains thousands of DWGs and I've discovered some layer names which differ from our standard naming conventions.
View 5 Replies
View Related
Oct 28, 2012
creating a lisp or pulldown with some standard features in it.
what i would like to do is be able to quickly insert a template (layers/linetypes/colours etc) which is the same used in our initial drawing. I'm a big fan of constantly purging and auditing my drawings to keep them clean and in a previous workplace we had the ability to reinsert all the default layering.
View 2 Replies
View Related
Jun 20, 2013
Lisp that switches back on Selection Preview i.e. thickens and highlights lines when you hover over them?I don't know why, but they are always unticking the boxes.
View 4 Replies
View Related
Feb 11, 2013
Is there a way to identify non-standard layers and the files in which they're located?
The folder I'm working with contains thousands of DWGs and I've discovered some layer names which differ from our standard naming conventions.
I need to clean up these anomalies so am seeking a way of identifying/locating them.
View 2 Replies
View Related
May 4, 2012
i just come across a lisp and i find it quite usefull,but then i wish to modify it abit. I have attach a sample of the lisp and jpeg to show what i require.basically all i need is the leader to be in multileader type. Is it possible? Additionally, can i set by default the coordinates to be shown in just 2 decimals?
View 9 Replies
View Related
Jun 26, 2012
I'm trying to fix my profile via lisp-registry key. Why? Because the profile we use is part of a plug-in meaning we can do it using our profile so I alternatively the answer is to tweak the one supplied as part of the plug in.
The method I’m familiar with is to edit using the following code as example;
(vl-registry-write "HKEY_CLASSES_ROOT\.PEN\Shell\open\command" "" "notepad.exe %1")
However that’s for creating a new registry key entry the one I have already exists but needs to be modified, better yet the profiles name (*.arg file) can change with updates, so in my search I came across the following link.
[URL]
Now I cant put it together and am not sure where I have gone wrong…(See code bellow)
(vl-registry-write "hkcu "\Profiles\" (getvar 'cprofile) "\General\DefaultConfig" "\\DCMAR02\A03P20")
View 1 Replies
View Related
Jul 16, 2013
I have a routine that sets user defined osnaps based on a text file.Here is what is an example of user stored osnap settings -
(setq User_Osnaps (list (list "Alan" "endp,midp,int") (list "John" "cen,ins")))
Here is routine I use to set user osnaps -
(defun CU ()
(vl-cmdf "-OSNAP" (cdr (assoc (getvar "LOGINNAME") User_Osnaps)))
(princ)
)
This works great so long as the user is not in the middle of another lisp routine.How can I change this to a transparent command that will work to set osnaps while running another lisp routine?I would like to store it in a toolbar button.
View 9 Replies
View Related
Nov 26, 2012
We have a big issue where half our users can't open autocad. We have half running 2013 and half running 2006. For our 2013 users we've gone to our start menu and reset settings to default. and then just re-loaded our custom menus. How can I reset Autocad 2006 to default if I can't open Autocad?
We need to get people up and running.
View 3 Replies
View Related
Sep 26, 2013
for my latest little project I'm trying to change layer settings depending on a entry in a sheet set attribute.
Basically, if the sheet set custom attribute entry is 'white' I want the colour of a specific layer displayed as 255,255,255, and if it's blue I want it changed to 0,0,255. So I can control the colours from a sheet set custom properties level.
And for it to check if the layer existing in the drawing, so it'll skip the process if it's not there.
View 7 Replies
View Related
Sep 2, 2012
I’m trying to create a plot command that reads settings in from a variable stored in a text file but its becoming muddled up somewhere.
(defun c:MYPLOT ();Setting nessesary variables...(setq fname "C:/ICT/AutoCAD_Architecture_Suite_2012/CUSTOM/TREADSTONE/PEN/MYOUTPUTDEVICE.PEN")(if(setq f(open fname "r"))(while (setq MYOUTPUTDEVICE (read-line f))(close)))(setq fname "C:/ICT/AutoCAD_Architecture_Suite_2012/CUSTOM/TREADSTONE/PEN/MYPAPERSIZE.PEN")
[code].......
View 5 Replies
View Related
Dec 24, 2013
I'm having some problems with drawing paths in Illustrator. Everytime I draw a new path, this new path shows up in the standard settings. The 'brush defenition' turns back to 'basic' and the 'variable width profile' back to 'uniform'. It would save me a lot of time if I could change those standard settings into what I prefer.
View 5 Replies
View Related
Jul 12, 2012
Is there a lisp that will allow me to do a continuous dimension, but will alternate the dimension position from low, high, low and high? If there is no lisp already created, how to create one?
See Continuous dimension attachment for example.
I work at a glass and glazing company and this is how we dimension mullion width and DLO. See typical window dimensioning attachment for window elevation with dimensions.
View 6 Replies
View Related
Nov 14, 2013
I have a list ("temp.dwg" "temp2.dwg") and would like to add the string "insert text here" into each item in the list resulting in ("insert text heretemp.dwg" "insert textheretemp2.dwg"). how would i go about doing that using LISP?
View 2 Replies
View Related
Oct 7, 2013
Is there a way to programatically set a visual style before a drawing actually opens?
We have some huge models and people seem to forget to change their visual styles back to 2D wireframe before saving and exiting drawings. Some models will crash on some workstations when trying to open in a rendered mode.
I found a lisp with a function that looked to set viewport visual styles. But it does not seem to be supported anymore. --> (vla-put-VisualStyle vport 1)
View 9 Replies
View Related
Oct 11, 2012
I'm trying to write a lisp routine that, when I invoke the mleader command, osmode is set to "nearest" & orthomode is set off. I then would like the original settings to be returned.
attached is what I have written so far:-
View 4 Replies
View Related
Jul 26, 2013
I'm the first one in my office to start using Inventor - I've gotten mine set up how I like it with our company standards and templates.
How can I transfer all of the customizations from my PC to the several new Inventor users in my office?
Is there a way for Inventor to pull things off of the network instead of off of my hard drive to keep all of our systems uniform?
View 9 Replies
View Related
Sep 7, 2012
Is it possible to execute a certain command based on multiple selections withinin a dcl? for example: two radio colums, one with selections A and B, and a second with selections 1 and 2. is it possible to program commands based on user selections from each column? ex: if A and 1- do a command. A 2- do a different command, etc...
I tried :
(action_tile "key1" "(setq A t")
(action_tile "key2" "(setq B t")
(action_tile "key3" "(setq 1 t)(done_dialog)")
(action_tile "key4" "(setq 2 t)(done_dialog)")
(if
(and (a) (1)
)
(command ...
but was unsuccessful. no matter which combination was selected, the command under all combinations would run.
View 2 Replies
View Related
Jun 3, 2013
I am trying to find a lisp that would get an attribute value (tag name = NBR_5) . I'm trying to run a simple routine that would let the user place the value from the titleblock attribute as text on a drawing. I see a ton of articles regarding getting attributes but I am not well versed in programming.
View 9 Replies
View Related
Jun 22, 2012
I have a routine that work fine, but I receive a nil at the end of command. How to fix that?
View 7 Replies
View Related
Oct 9, 2013
I'm trying to find acceptable point values to feed to the vlax-3d-point function for a vla-addmtext function. With vanilla lisp I just provide the point as x y = "7/32" "2-3/8". So I assumed that I could drop a 0 in for the z like: (VLAX-3D-POINT "7/32" "2-3/8" 0).
Then I thought I was going to be tricksy and try (vlax-3D-point (getpoint)) believing that I could pick the point and get what I need to feed the function, but yet again, no deal. The command line gave me:
node
of #<variant 8197 ...>
Nothing I can use in my code. So how do I find the point in a format that vlax-3d-point will like?
View 9 Replies
View Related
Dec 19, 2011
What is the magic word for put a point at each end of an arc, the lisp I have only put a point at center of the arc.
(defun cAA ( / i j ss e1 e2 p1 p2 p3 points )
(if (setq i -1 ss (ssget '((0 . "ARC"))))
(progn
[Code].....
View 5 Replies
View Related